package com.xxfc.discovery.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.io.Serializable;
import java.util.List;

/**
 * 拍拍详情
 */

public class PatDetailsBean extends BaseBean {

    private DataBean data;
    private int code;

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public static class DataBean implements Serializable {
        private Body body;
        private String nickname;
        private String picUrl;

        public Body getBody() {
            return body;
        }

        public void setBody(Body body) {
            this.body = body;
        }

        public String getNickname() {
            return nickname;
        }

        public void setNickname(String nickname) {
            this.nickname = nickname;
        }

        public String getPicUrl() {
            return picUrl;
        }

        public void setPicUrl(String picUrl) {
            this.picUrl = picUrl;
        }

        public static class Body implements Serializable {
            private String text;
            private String time;
            private String type;
            private List<Images> images;
            private List<Videos> videos;

            public String getText() {
                return text;
            }

            public void setText(String text) {
                this.text = text;
            }

            public String getTime() {
                return time;
            }

            public void setTime(String time) {
                this.time = time;
            }

            public String getType() {
                return type;
            }

            public void setType(String type) {
                this.type = type;
            }

            public List<Images> getImages() {
                return images;
            }

            public void setImages(List<Images> images) {
                this.images = images;
            }

            public List<Videos> getVideos() {
                return videos;
            }

            public void setVideos(List<Videos> videos) {
                this.videos = videos;
            }

            public static class Images implements Serializable {
                private String length;
                private String size;
                private String turl;
                private String ourl;
                private String oUrl;
                private String tUrl;

                public String getLength() {
                    return length;
                }

                public void setLength(String length) {
                    this.length = length;
                }

                public String getSize() {
                    return size;
                }

                public void setSize(String size) {
                    this.size = size;
                }

                public String getTurl() {
                    return turl;
                }

                public void setTurl(String turl) {
                    this.turl = turl;
                }

                public String getOurl() {
                    return ourl;
                }

                public void setOurl(String ourl) {
                    this.ourl = ourl;
                }

                public String getoUrl() {
                    return oUrl;
                }

                public void setoUrl(String oUrl) {
                    this.oUrl = oUrl;
                }

                public String gettUrl() {
                    return tUrl;
                }

                public void settUrl(String tUrl) {
                    this.tUrl = tUrl;
                }
            }

            public static class Videos implements Serializable {
                private String length;
                private String size;
                private String ourl;
                private String oUrl;

                public String getLength() {
                    return length;
                }

                public void setLength(String length) {
                    this.length = length;
                }

                public String getSize() {
                    return size;
                }

                public void setSize(String size) {
                    this.size = size;
                }

                public String getOurl() {
                    return ourl;
                }

                public void setOurl(String ourl) {
                    this.ourl = ourl;
                }

                public String getoUrl() {
                    return oUrl;
                }

                public void setoUrl(String oUrl) {
                    this.oUrl = oUrl;
                }
            }

        }
    }
}
